Subject: Re: folder naming bug?

From: Torsten Bögershausen <[email-masked]>
Date: Tue, 03 Feb 2015 09:34:02 +0100

On 02/03/2015 05:52 AM, Kevin Coleman wrote:
> ====
> Yes, I am on a Mac.  I just tried that, but I don’t think that completely fixed it.  As you can see it tracks “foo/bar.md” and then it tracks “Foo/bar.md”.  It still tracks both “foo” and “Foo” even tho only “Foo” exists in my dir after the rename.
You asked Git to track Foo/bar.md and the file system says "yes, it's here"
When you rename Foo/ into foo/, the file system still says "Foo/bar.md" 
is here.
You need to tell git about the rename :
git mv Foo/bar.md foo/bar.md

Why does anybody think that setting "core.ignorecase false" will 
convince the file system
to become case insensitive ?